import 'package:flutter/material.dart';

import 'package:url_launcher/link.dart';

import '../../../../l10n/generated/app_localizations.dart';
import '../../../router/extensions/go_router_path_extension.dart';
import '../account_settings.dart';
import '../pages/emoji_settings/emoji_settings.dart';

class EmojiSettingsTile extends StatelessWidget {
  const EmojiSettingsTile(this.controller, {super.key});

  final AccountSettingsController controller;

  @override
  Widget build(BuildContext context) {
    return Link(
      uri: Uri.parse(
        context.clientifyLocation(
          AccountSettings.makeSettingsUri(
            EmojiSettingsPage.routeName,
          ),
        ),
      ),
      builder: (context, followLink) => ListTile(
        leading: const Icon(Icons.emoji_emotions),
        title: Text(
          AppLocalizations.of(context).emojiSettings,
        ),
        onTap: followLink,
      ),
    );
  }
}
